Package net.md_5.bungee.api.chat

# Class ScoreComponent

java.lang.Object
net.md_5.bungee.api.chat.BaseComponent
net.md_5.bungee.api.chat.ScoreComponent

public final class ScoreComponent extends BaseComponent
This component displays the score based on a player score on the scoreboard.
The name is the name of the player stored on the scoreboard, which may be a "fake" player. It can also be a target selector that must resolve to 1 target, and may target non-player entities.
With a book, /tellraw, or /title, using the wildcard '*' in the place of a name or target selector will cause all players to see their own score in the specified objective.
Signs cannot use the '*' wildcard
These values are filled in by the server-side implementation.
As of 1.12.2, a bug ( MC-56373 ) prevents full usage within hover events.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class net.md_5.bungee.api.chat.BaseComponent

  `BaseComponent.LimitedStringVisitor, BaseComponent.StringVisitor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScoreComponent(String name, String objective)`
  Creates a new score component with the specified name and objective.
  If not specifically set, value will default to an empty string; signifying that the scoreboard value should take precedence.
  `ScoreComponent(String name, String objective, String value)`
  Creates a new `ScoreComponent` instance.
  `ScoreComponent(ScoreComponent original)`
  Creates a score component from the original to clone it.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `ScoreComponent`
  `duplicate()`
  Clones the BaseComponent and returns the clone.
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  The name of the entity whose score should be displayed.
  `String`
  `getObjective()`
  The internal name of the objective the score is attached to.
  `String`
  `getValue()`
  The optional value to use instead of the one present in the Scoreboard.
  `int`
  `hashCode()`
  `void`
  `setName(String name)`
  The name of the entity whose score should be displayed.
  `void`
  `setObjective(String objective)`
  The internal name of the objective the score is attached to.
  `void`
  `setValue(String value)`
  The optional value to use instead of the one present in the Scoreboard.
  `protected void`
  `toLegacyText(BaseComponent.StringVisitor builder)`
  `protected void`
  `toPlainText(BaseComponent.StringVisitor builder)`
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.chat.BaseComponent

  `addExtra, addExtra, applyStyle, copyFormatting, copyFormatting, copyFormatting, duplicateWithoutFormatting, getClickEvent, getColor, getColorRaw, getExtra, getFont, getFontRaw, getHoverEvent, getInsertion, getShadowColor, getShadowColorRaw, getStyle, hasFormatting, hasStyle, isBold, isBoldRaw, isItalic, isItalicRaw, isObfuscated, isObfuscatedRaw, isReset, isStrikethrough, isStrikethroughRaw, isUnderlined, isUnderlinedRaw, retain, setBold, setClickEvent, setColor, setExtra, setFont, setHoverEvent, setInsertion, setItalic, setObfuscated, setReset, setShadowColor, setStrikethrough, setStyle, setUnderlined, toLegacyText, toLegacyText, toPlainText, toPlainText`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScoreComponent

    public ScoreComponent(String name, String objective)
    Creates a new score component with the specified name and objective.
    If not specifically set, value will default to an empty string; signifying that the scoreboard value should take precedence. If not null, nor empty, `value` will override any value found in the scoreboard.
    The value defaults to an empty string.
    Parameters:
      `name` - the name of the entity, or an entity selector, whose score should be displayed
      `objective` - the internal name of the objective the entity's score is attached to

  - ### ScoreComponent

    public ScoreComponent(ScoreComponent original)
    Creates a score component from the original to clone it.
    Parameters:
      `original` - the original for the new score component

  - ### ScoreComponent

    public ScoreComponent(String name, String objective, String value)
    Creates a new `ScoreComponent` instance.
    Parameters:
      `name` - The name of the entity whose score should be displayed.
      `objective` - The internal name of the objective the score is attached to.
      `value` - The optional value to use instead of the one present in the Scoreboard.

- ## Method Details

  - ### duplicate

    public ScoreComponent duplicate()
    Description copied from class: `BaseComponent`
    Clones the BaseComponent and returns the clone.
    Specified by:
      `duplicate` in class `BaseComponent`
    Returns:
      The duplicate of this BaseComponent

  - ### toPlainText

    protected void toPlainText(BaseComponent.StringVisitor builder)

  - ### toLegacyText

    protected void toLegacyText(BaseComponent.StringVisitor builder)

  - ### getName

    public String getName()
    The name of the entity whose score should be displayed.

  - ### getObjective

    public String getObjective()
    The internal name of the objective the score is attached to.

  - ### getValue

    public String getValue()
    The optional value to use instead of the one present in the Scoreboard.

  - ### setName

    public void setName(String name)
    The name of the entity whose score should be displayed.

  - ### setObjective

    public void setObjective(String objective)
    The internal name of the objective the score is attached to.

  - ### setValue

    public void setValue(String value)
    The optional value to use instead of the one present in the Scoreboard.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BaseComponent`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `BaseComponent`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `BaseComponent`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseComponent`